<section class="item-summary">
    <!-- <h6>Cart #{{code}}</h6> -->
    <table class="item-details">
        <tr class="item-header">
            <td>DESCRIPTION</td>
            <td>PRICE</td>
            <td>QTN</td>
            <td>Placed/Renewal Date</td>
            <td>End Date</td>
            <td>MONTHS</td>
            <td></td>
        </tr>
        <tr *ngFor="let item of subsItems; let i = index" class="item-list">
            <td class="description">
                <div class="item-image">
                    <a [href]="getInfo(item.productCode, 'url')"><img class="img-fluid"
                            [src]="hostName + getInfo(item.productCode, 'picture.url')"
                            [alt]="getInfo(item.productCode, 'picture.code')">
                    </a>
                </div>
                <div class="item-name">
                    <a [href]="item.url">{{getInfo(item.productCode, 'name')}}</a>
                </div>
            </td>
            <td> {{getInfo(item.productCode,'priceRange.maxPrice.currencyIso')}}
                {{getInfo(item.productCode,'priceRange.maxPrice.value')}}</td>
            <td>
                <div>
                    <!-- <button mat-raised-button class="secondary-btn"  [disabled]="disabled">-</button> -->
                    <input type="number" matInput [value]="item.quantity" disabled="disabled" placeholder="Quantity"
                        required autocomplete="off" />
                    <!-- <button mat-raised-button class="secondary-btn"  [disabled]="disabled">+</button> -->
                </div>
            </td>
            <td> {{item.placedOn | date: 'dd-MMM-yyyy'}}</td>
            <td> {{item.endDate | date: 'dd-MMM-yyyy'}}</td>

            <td>
                <div>
                    <!-- <button mat-raised-button class="secondary-btn"  [disabled]="disabled">-</button> -->
                    <input type="number" matInput [value]="1" class="month-field" [(ngModel)]="month[item.productCode]"
                        (keyup)="updateInput($event.target.value, i, item.productCode)" />
                    <!-- <button mat-raised-button class="secondary-btn"  [disabled]="disabled">+</button> -->
                </div>
            </td>
            <td>
                <span class="checkout-btn">
                    <button mat-raised-button class="button button-primary" (click)="checkout(item)">
                        Make Renewal
                    </button>
                </span>
                <span class="discount">5% discount for 12 months</span>
            </td>

        </tr>
    </table>
</section>
<section class="summary-container-mobile">
    <!-- <h6>Cart #{{code}}</h6> -->
    <div *ngFor="let item of subsItems; let i = index" class="item-details">
        <div class="item-image">
            <a [href]="getInfo(item.productCode, 'url')"><img class="img-fluid"
                    [src]="hostName + getInfo(item.productCode, 'picture.url')"
                    [alt]="getInfo(item.productCode, 'picture.code')"></a>
        </div>
        <div class="item-desc">
            <span class="name">{{getInfo(item.productCode, 'name')}}</span>
            <span class="id">ID 325414</span>
            <div class="item-total">
                <span class="key">Item Price:</span>
                <span class="value"
                    *ngIf="productType === 'HRMS'">{{getInfo(item.productCode,'priceRange.maxPrice.value')}}</span>
                <span class="value">SAR 800.00</span>
            </div>
            <div class="item-total">
                <span class="key">Qtn:</span>
                <span class="value">
                    <div>
                        <!-- <button mat-raised-button class="secondary-btn" (click)="updateQtn('-1',i, item.entryNumber)" [disabled]="itemQtn === 0">-</button> -->
                        <input type="number" [value]="item.quantity" disabled="disabled" />
                        <!-- <button mat-raised-button class="secondary-btn" (click)="updateQtn('+1',i, item.entryNumber)" [disabled]="itemQtn === 99">+</button> -->
                    </div>
                </span>
            </div>
            <div class="item-total">
                <span class="key">Placed/Renewal Date:</span>
                <span class="value" *ngIf="productType === 'HRMS'">{{item.placedOn}}</span>
            </div>
            <div class="item-total">
                <span class="key">End Date:</span>
                <span class="value" *ngIf="productType === 'HRMS'">{{item.endDate}}</span>
            </div>
            <div class="item-total">
                <span class="key">Month:</span>
                <span class="value"> <input type="number" [value]="1" class="month-field"
                        [(ngModel)]="month[item.productCode]"
                        (keyup)="updateInput($event.target.value, i, item.productCode)" /> </span>
            </div>
            <div class="item-total">
                <span class="checkout-btn">
                    <button mat-raised-button class="button button-primary" (click)="checkout(item)">
                        Make Renewal
                    </button>
                </span>
            </div>
            <span class="remove">5% discount for 12 months</span>
        </div>
    </div>
</section>